> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datanumia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Service returning the weather station code associated with the zipcode.

> Service returning the weather station code associated with the zipcode.



## OpenAPI

````yaml /api-reference/weather-api.yaml get /weather-stations
openapi: 3.0.1
info:
  title: weather lifecycle
  description: This API manages the lifecycles of the weather
  termsOfService: ''
  contact:
    email: dev@edelia.fr
  version: 1.0.4
servers:
  - url: https://api.home.datanumia.com/api/v1
security: []
tags:
  - name: Weather Stations
paths:
  /weather-stations:
    get:
      tags:
        - Weather Stations
      summary: Service returning the weather station code associated with the zipcode.
      description: Service returning the weather station code associated with the zipcode.
      operationId: weatherStationsZipCodeGet
      parameters:
        - name: zip-code
          in: query
          description: The zip code of the wanted weather station
          required: true
          schema:
            type: string
        - name: country
          in: query
          description: The country code. ISO3166 alpha2 (ex FR, BE)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WeatherStation'
        '400':
          description: >
            Functional Error</br>

            <table>

            <tr><td><b>Error code</b></td><td><b>Error case</b></td></tr>

            <tr><td>WEATHER_STATION_NOT_FOUND_WITH_ZIPCODE_AND_COUNTRY</td><td>no
            weather station was found for weather-station-id
            {weatherStationId}</td></tr>

            <tr><td>UNKNOWN_ZIP_CODE</td><td>the zip code {zipCode} is
            unknown</td></tr>

            <tr><td>UNKNOWN_COUNTRY_CODE</td><td>the country code {countryCode}
            is unknown</td></tr>

            <tr><td>WEATHER_STATION_NOT_FOUND</td><td>no weather station was
            found</td></tr>

            </table>
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content: {}
        '500':
          description: Technical Error
          content: {}
components:
  schemas:
    WeatherStation:
      type: object
      properties:
        departmentCode:
          type: string
        stationCode:
          type: string
          description: Identifiant numerique de la station meteo du departement
        stationName:
          type: string
          description: Libelle de la station meteo du departement
        countryCode:
          type: string
    ErrorResponse:
      type: object
      properties:
        errorCode:
          type: string
          description: The error code
        errorDescription:
          type: string
          description: The error description

````